package org.springblade.modules.project.service;

import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.project.pojo.dto.ProjectInfoDTO;
import org.springblade.modules.project.pojo.entity.ProjectInfo;
import org.springblade.modules.project.pojo.entity.ProjectInvestPlan;
import org.springblade.modules.project.pojo.vo.ProjectInvestPlanVO2;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Param
 * @Author wangwl
 * @Date 2024/4/8 11:59
 **/
public interface IProjectInvestPlanService extends BaseService<ProjectInvestPlan> {

    List<ProjectInvestPlanVO2> getYearAllProject(Integer year);

    BigDecimal getYearAllByProjectId(Long id);

    void updateAllInvestYearAllByProjectId(Long id, BigDecimal finalInvestYearAllToTal);

    BigDecimal getYearAllByType(Integer type,String year,List<Long> projectIds);

    BigDecimal getYearAll(String year);

    ProjectInvestPlan getInvestYearAndYearlyInvest(Long id, String planYear);
}
